Bug 211429 - idr_remove called for id=1 which is not allocated.
idr_remove called for id=1 which is not allocated.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 02:11 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.6.20-1.2307
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 13:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
extract from /var/log/messages (3.41 KB, text/plain)
2006-12-04 13:40 EST, Joe Orton
no flags Details
/var/log/messages (446.52 KB, application/octet-stream)
2007-01-05 10:03 EST, Michal Babej
no flags Details

  None (edit)
Description Need Real Name 2006-10-19 02:11:55 EDT
During dmesg I get
idr_remove called for id=1 which is not allocated.
 [<c0403f10>] dump_trace+0x69/0x1af
 [<c040406e>] show_trace_log_lvl+0x18/0x2c
 [<c04045e9>] show_trace+0xf/0x11
 [<c0404673>] dump_stack+0x15/0x17
 [<c04d3fcb>] idr_remove+0xe2/0x143
 [<c051ee50>] release_dev+0x63b/0x652
 [<c051ee6e>] tty_release+0x7/0xa
 [<c0461b2e>] __fput+0xba/0x178
 [<c045f466>] filp_close+0x52/0x59
 [<c041d3b4>] put_files_struct+0x64/0xa6
 [<c041e3fe>] do_exit+0x248/0x747
 [<c041e973>] sys_exit_group+0x0/0xd
 [<f5d480e4>] 0xf5d480e4
DWARF2 unwinder stuck at 0xf5d480e4
Leftover inexact backtrace:
 [<c0426b76>] get_signal_to_deliver+0x38a/0x3b2
 [<c040243a>] do_notify_resume+0x75/0x62f
 [<c044bfc0>] __pagevec_lru_add_active+0x95/0xa0
 [<c042c814>] autoremove_wake_function+0x0/0x35
 [<c05fc113>] _spin_unlock_irq+0x5/0x7
 [<c05fa9cf>] schedule+0x529/0x585
 [<c0402e2a>] work_notifysig+0x13/0x19
 =======================
eth1: link down.
eth1: link up.
 cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 65
model name      : Dual-Core AMD Opteron(tm) Processor 2212 HE
stepping        : 2
cpu MHz         : 2000.000
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow
pni cx16 lahf_lm cmp_legacy svm cr8legacy ts fid vid ttp tm stc
bogomips        : 4023.96

kernel-2.6.18-1.2200.fc5
Comment 1 Need Real Name 2006-10-19 02:14:03 EDT
Doing dmesg second time I get same error:

dmesg
Linux version 2.6.18-1.2200.fc5 (brewbuilder@hs20-bc2-3.build.redhat.com) (gcc
version 4.1.1 20060525 (Red Hat 4.1.1-1)) #1 Sat Oct 14 16:59:26 EDT 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009d400 (usable)
 BIOS-e820: 000000000009d400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007fff0000 (usable)
 BIOS-e820: 000000007fff0000 - 000000007fffe000 (ACPI data)
 BIOS-e820: 000000007fffe000 - 0000000080000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fef00000 (reserved)
 BIOS-e820: 00000000ff700000 - 0000000100000000 (reserved)
1151MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000ff780
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 524272
  DMA zone: 4096 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 294896 pages, LIFO batch:31
DMI present.
ACPI: RSDP (v002 ACPIAM                                ) @ 0x000f93f0
ACPI: XSDT (v001 A M I  OEMXSDT  0x08000618 MSFT 0x00000097) @ 0x7fff0100
ACPI: FADT (v003 A M I  OEMFACP  0x08000618 MSFT 0x00000097) @ 0x7fff0290
ACPI: MADT (v001 A M I  OEMAPIC  0x08000618 MSFT 0x00000097) @ 0x7fff0390
ACPI: SPCR (v001 A M I  OEMSPCR  0x08000618 MSFT 0x00000097) @ 0x7fff0420
ACPI: MCFG (v001 A M I  OEMMCFG  0x08000618 MSFT 0x00000097) @ 0x7fff0470
ACPI: SLIT (v001 A M I  OEMSLIT  0x08000618 MSFT 0x00000097) @ 0x7fff04b0
ACPI: OEMB (v001 A M I  AMI_OEM  0x08000618 MSFT 0x00000097) @ 0x7fffe040
ACPI: SRAT (v001 AMD    HAMMER   0x00000001 AMD  0x00000001) @ 0x7fff70d0
ACPI: SSDT (v001 A M I  ACPI2PPC 0x00000001 AMI  0x00000001) @ 0x7fff7170
ACPI: DSDT (v001  BOTO_ BOTO_100 0x00000100 INTL 0x20051117) @ 0x00000000
ACPI: PM-Timer IO Port: 0x2008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:1 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:1 APIC version 16
WARNING: NR_CPUS limit of 1 reached.  Processor ignored.
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x82] disabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x83] disabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x03] address[0xdaffb000] gsi_base[24])
IOAPIC[1]: apic_id 3, version 17, address 0xdaffb000, GSI 24-47
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: BIOS IRQ0 pin2 override ignored.
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq 14 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq 15 high edge)
ACPI: IRQ9 used by override.
ACPI: IRQ14 used by override.
ACPI: IRQ15 used by override.
Enabling APIC mode:  Flat.  Using 2 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 88000000 (gap: 80000000:7ec00000)
Detected 2010.347 MHz processor.
Built 1 zonelists.  Total pages: 524272
Kernel command line: ro root=LABEL=mm/ console=tty0 console=ttyS0,115200n8
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
mapped IOAPIC to ffffb000 (daffb000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c075b000 soft=c075a000
PID hash table entries: 4096 (order: 12, 16384 bytes)
spurious 8259A interrupt: IRQ7.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 2073716k/2097088k available (2041k kernel code, 22064k reserved, 801k
data, 220k init, 1179584k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 4023.96 BogoMIPS (lpj=8047938)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 178bfbff ebd3fbff 00000000 00000000 00002001
00000000 0000001f
CPU: After vendor identify, caps: 178bfbff ebd3fbff 00000000 00000000 00002001
00000000 0000001f
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU: After all inits, caps: 178bf3ff ebd3fbff 00000000 00000410 00002001
00000000 0000001f
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: AMD Dual-Core AMD Opteron(tm) Processor 2212 HE stepping 02
Checking 'hlt' instruction... OK.
ACPI: Core revision 20060707
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=0 apic2=-1 pin2=-1
checking if image is initramfs... it is
Freeing initrd memory: 915k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved
PCI: Not using MMCONFIG.
PCI: PCI BIOS revision 3.00 entry at 0xf0031, last bus=134
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI: Transparent bridge - 0000:00:06.0
Boot video device is 0000:03:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR10._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR11._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR12._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR13.BR30._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR13.BR31._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR15._PRT]
ACPI: PCI Root Bridge [PCIB] (0000:80)
PCI: Probing PCI hardware (bus 80)
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR20._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR21._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR22._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR23._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR24._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCIB.BR25._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 16 17 18 19) *10
ACPI: PCI Interrupt Link [LNKB] (IRQs 16 17 18 19) *11
ACPI: PCI Interrupt Link [LNKC] (IRQs 16 17 18 19) *0, disabled.
ACPI: PCI Interrupt Link [LNKD] (IRQs 16 17 18 19) *10
ACPI: PCI Interrupt Link [LNEA] (IRQs 16 17 18 19) *10
ACPI: PCI Interrupt Link [LNEB] (IRQs 16 17 18 19) *11
ACPI: PCI Interrupt Link [LNEC] (IRQs 16 17 18 19) *0, disabled.
ACPI: PCI Interrupt Link [LNED] (IRQs 16 17 18 19) *0, disabled.
ACPI: PCI Interrupt Link [LUB0] (IRQs 20 21 22 23) *10
ACPI: PCI Interrupt Link [LMAD] (IRQs 20 21 22 23) *5
ACPI: PCI Interrupt Link [LUB2] (IRQs 20 21 22 23) *11
ACPI: PCI Interrupt Link [LMAC] (IRQs 20 21 22 23) *11
ACPI: PCI Interrupt Link [LAZA] (IRQs 20 21 22 23) *0, disabled.
ACPI: PCI Interrupt Link [LSMB] (IRQs 20 21 22 23) *5
ACPI: PCI Interrupt Link [LPMU] (IRQs 20 21 22 23) *7
ACPI: PCI Interrupt Link [LSA0] (IRQs 20 21 22 23) *5
ACPI: PCI Interrupt Link [LSA1] (IRQs 20 21 22 23) *10
ACPI: PCI Interrupt Link [LATA] (IRQs 20 21 22 23) *0, disabled.
ACPI: PCI Interrupt Link [LSA2] (IRQs 20 21 22 23) *10
ACPI: PCI Interrupt Link [LN2A] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LN2B] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LN2C] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LN2D] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LE3A] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LE3B] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LE3C] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [LE3D] (IRQs 40 41 42 43) *0, disabled.
ACPI: PCI Interrupt Link [IIM0] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [IIM1] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [ISI0] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [ISI1] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [ISI2] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [ILSM] (IRQs 44 45 46 47) *0, disabled.
ACPI: PCI Interrupt Link [ILPM] (IRQs 44 45 46 47) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 17 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:06: ioport range 0xb00-0xb7f has been reserved
pnp: 00:06: ioport range 0xb80-0xb83 has been reserved
pnp: 00:06: ioport range 0xb84-0xb85 has been reserved
pnp: 00:06: ioport range 0xb86-0xb8d has been reserved
pnp: 00:06: ioport range 0xb90-0xb9f has been reserved
pnp: 00:06: ioport range 0xc00-0xcfe could not be reserved
pnp: 00:09: ioport range 0x3000-0x307f has been reserved
pnp: 00:09: ioport range 0x3080-0x30ff has been reserved
pnp: 00:09: ioport range 0x3400-0x347f has been reserved
pnp: 00:09: ioport range 0x3480-0x34ff has been reserved
pnp: 00:09: ioport range 0x3800-0x387f has been reserved
pnp: 00:09: ioport range 0x3880-0x38ff has been reserved
pnp: 00:0d: ioport range 0xa00-0xa0f has been reserved
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0a.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0b.0
  IO window: disabled.
  MEM window: df000000-dfdfffff
  PREFETCH window: db000000-dbffffff
PCI: Bridge: 0000:04:00.0
  IO window: b000-bfff
  MEM window: dff00000-dfffffff
  PREFETCH window: dc000000-ddffffff
PCI: Bridge: 0000:04:00.1
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0c.0
  IO window: b000-bfff
  MEM window: dfe00000-dfffffff
  PREFETCH window: dc000000-ddffffff
PCI: Bridge: 0000:00:0d.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:0f.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:00:0a.0 to 64
PCI: Setting latency timer of device 0000:00:0b.0 to 64
PCI: Setting latency timer of device 0000:00:0c.0 to 64
PCI: Setting latency timer of device 0000:04:00.0 to 64
ACPI: PCI Interrupt Link [LNEA] enabled at IRQ 19
ACPI: PCI Interrupt 0000:04:00.1[A] -> Link [LNEA] -> GSI 19 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:04:00.1 to 64
PCI: Setting latency timer of device 0000:00:0d.0 to 64
PCI: Setting latency timer of device 0000:00:0e.0 to 64
PCI: Setting latency timer of device 0000:00:0f.0 to 64
PCI: Bridge: 0000:80:0a.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:80:0b.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:80:0c.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:80:0d.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:80:0e.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:80:0f.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Setting latency timer of device 0000:80:0a.0 to 64
PCI: Setting latency timer of device 0000:80:0b.0 to 64
PCI: Setting latency timer of device 0000:80:0c.0 to 64
PCI: Setting latency timer of device 0000:80:0d.0 to 64
PCI: Setting latency timer of device 0000:80:0e.0 to 64
PCI: Setting latency timer of device 0000:80:0f.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1310720 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1161083812.352:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key AFB81CC8AAE721BE
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:0a.0 to 64
pcie_portdrv_probe->Dev[0376:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0a.0:pcie00]
PCI: Setting latency timer of device 0000:00:0b.0 to 64
pcie_portdrv_probe->Dev[0374:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0b.0:pcie00]
PCI: Setting latency timer of device 0000:00:0c.0 to 64
pcie_portdrv_probe->Dev[0374:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0c.0:pcie00]
PCI: Setting latency timer of device 0000:00:0d.0 to 64
pcie_portdrv_probe->Dev[0378:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0d.0:pcie00]
PCI: Setting latency timer of device 0000:00:0e.0 to 64
pcie_portdrv_probe->Dev[0375:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0e.0:pcie00]
PCI: Setting latency timer of device 0000:00:0f.0 to 64
pcie_portdrv_probe->Dev[0377:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0f.0:pcie00]
PCI: Setting latency timer of device 0000:80:0a.0 to 64
pcie_portdrv_probe->Dev[0376:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0a.0:pcie00]
PCI: Setting latency timer of device 0000:80:0b.0 to 64
pcie_portdrv_probe->Dev[0374:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0b.0:pcie00]
PCI: Setting latency timer of device 0000:80:0c.0 to 64
pcie_portdrv_probe->Dev[0374:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0c.0:pcie00]
PCI: Setting latency timer of device 0000:80:0d.0 to 64
pcie_portdrv_probe->Dev[0378:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0d.0:pcie00]
PCI: Setting latency timer of device 0000:80:0e.0 to 64
pcie_portdrv_probe->Dev[0375:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0e.0:pcie00]
PCI: Setting latency timer of device 0000:80:0f.0 to 64
pcie_portdrv_probe->Dev[0377:10de] has invalid IRQ. Check vendor BIOS
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:80:0f.0:pcie00]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Getting cpuindex for acpiid 0x2
ACPI: Getting cpuindex for acpiid 0x3
ACPI: Getting cpuindex for acpiid 0x4
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
NFORCE-MCP55: IDE controller at PCI slot 0000:00:04.0
NFORCE-MCP55: chipset revision 161
NFORCE-MCP55: not 100% native mode: will probe irqs later
NFORCE-MCP55: 0000:00:04.0 (rev a1) UDMA133 controller
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
Probing IDE interface ide0...
hda: Slimtype DVDRW SSM-8515S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Found 1 Dual-Core AMD Opteron(tm) Processor 2212 HE processors
(version 2.00.00)
powernow-k8:    0 : fid 0xc (2000 MHz), vid 0xc
powernow-k8:    1 : fid 0xa (1800 MHz), vid 0xe
powernow-k8:    2 : fid 0x2 (1000 MHz), vid 0x12
Using IPI Shortcut mode
ACPI: (supports<6>Time: tsc clocksource has been installed.
 S0 S4 S5)
Freeing unused kernel memory: 220k freed
Write protecting the kernel read-only data: 377k
SCSI subsystem initialized
3ware 9000 Storage Controller device driver for Linux v2.26.02.007.
ACPI: PCI Interrupt 0000:05:01.0[A] -> Link [LNEA] -> GSI 19 (level, low) -> IRQ 177
3w-9xxx: scsi0: AEN: INFO (0x04:0x0053): Battery capacity test is overdue:.
scsi0 : 3ware 9000 Storage Controller
3w-9xxx: scsi0: Found a 3ware 9000 Storage Controller at 0xdffff000, IRQ: 177.
3w-9xxx: scsi0: Firmware FE9X 3.01.01.028, BIOS BE9X 3.01.00.024, Ports: 8.
  Vendor: AMCC      Model: 9550SX-8LP DISK   Rev: 3.01
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sda: 781228032 512-byte hdwr sectors (399989 MB)
sda: Write Protect is off
sda: Mode Sense: 23 00 00 00
SCSI device sda: drive cache: write back, no read (daft)
SCSI device sda: 781228032 512-byte hdwr sectors (399989 MB)
sda: Write Protect is off
sda: Mode Sense: 23 00 00 00
SCSI device sda: drive cache: write back, no read (daft)
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
sd 0:0:0:0: Attached scsi disk sda
  Vendor: AMCC      Model: 9550SX-8LP DISK   Rev: 3.01
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdb: 781228032 512-byte hdwr sectors (399989 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
SCSI device sdb: drive cache: write back, no read (daft)
SCSI device sdb: 781228032 512-byte hdwr sectors (399989 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
SCSI device sdb: drive cache: write back, no read (daft)
 sdb: sdb1
sd 0:0:1:0: Attached scsi disk sdb
  Vendor: AMCC      Model: 9550SX-8LP DISK   Rev: 3.01
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdc: 1464821760 512-byte hdwr sectors (749989 MB)
sdc: Write Protect is off
sdc: Mode Sense: 23 00 00 00
SCSI device sdc: drive cache: write back, no read (daft)
SCSI device sdc: 1464821760 512-byte hdwr sectors (749989 MB)
sdc: Write Protect is off
sdc: Mode Sense: 23 00 00 00
SCSI device sdc: drive cache: write back, no read (daft)
 sdc: sdc1
sd 0:0:2:0: Attached scsi disk sdc
  Vendor: AMCC      Model: 9550SX-8LP DISK   Rev: 3.01
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdd: 781228032 512-byte hdwr sectors (399989 MB)
sdd: Write Protect is off
sdd: Mode Sense: 23 00 00 00
SCSI device sdd: drive cache: write back, no read (daft)
SCSI device sdd: 781228032 512-byte hdwr sectors (399989 MB)
sdd: Write Protect is off
sdd: Mode Sense: 23 00 00 00
SCSI device sdd: drive cache: write back, no read (daft)
 sdd: sdd1
sd 0:0:3:0: Attached scsi disk sdd
audit(1161083817.216:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  3 users, 6 roles, 1481 types, 152 bools, 1 sens, 256 cats
security:  58 classes, 43486 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev sda3, type ext2), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1161083817.484:3): policy loaded auid=4294967295
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
libata version 2.00 loaded.
i2c_adapter i2c-0: nForce2 SMBus adapter at 0x2d00
i2c_adapter i2c-1: nForce2 SMBus adapter at 0x2e00
i2c_adapter i2c-2: nForce2 SMBus adapter at 0xe880
i2c_adapter i2c-3: nForce2 SMBus adapter at 0xe800
sata_nv 0000:00:05.0: version 2.0
ACPI: PCI Interrupt Link [LSA0] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:05.0[A] -> Link [LSA0] -> GSI 23 (level, low) -> IRQ 98
PCI: Setting latency timer of device 0000:00:05.0 to 64
ata1: SATA max UDMA/133 cmd 0xA480 ctl 0xA402 bmdma 0x9C00 irq 98
ata2: SATA max UDMA/133 cmd 0xA080 ctl 0xA002 bmdma 0x9C08 irq 98
scsi1 : sata_nv
forcedeth.c: Reverse Engineered nForce ethernet driver. Version 0.56.
EDAC MC: Ver: 2.0.1 Oct 14 2006
input: PC Speaker as /class/input/input0
ata1: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xA487
scsi2 : sata_nv
hda: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ata2: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xA087
ACPI: PCI Interrupt Link [LSA1] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:05.1[B] -> Link [LSA1] -> GSI 22 (level, low) -> IRQ 106
PCI: Setting latency timer of device 0000:00:05.1 to 64
ata3: SATA max UDMA/133 cmd 0x9880 ctl 0x9802 bmdma 0x9080 irq 106
ata4: SATA max UDMA/133 cmd 0x9480 ctl 0x9402 bmdma 0x9088 irq 106
scsi3 : sata_nv
ata3: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0x9887
scsi4 : sata_nv
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 0:0:1:0: Attached scsi generic sg1 type 0
sd 0:0:2:0: Attached scsi generic sg2 type 0
sd 0:0:3:0: Attached scsi generic sg3 type 0
ata4: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0x9487
ACPI: PCI Interrupt Link [LSA2] enabled at IRQ 21
ACPI: PCI Interrupt 0000:00:05.2[C] -> Link [LSA2] -> GSI 21 (level, low) -> IRQ 114
PCI: Setting latency timer of device 0000:00:05.2 to 64
ata5: SATA max UDMA/133 cmd 0x9000 ctl 0x8C02 bmdma 0x8480 irq 114
ata6: SATA max UDMA/133 cmd 0x8880 ctl 0x8802 bmdma 0x8488 irq 114
scsi5 : sata_nv
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ata5: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0x9007
scsi6 : sata_nv
ata6: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0x8887
ACPI: PCI Interrupt Link [ISI0] enabled at IRQ 47
ACPI: PCI Interrupt 0000:80:05.0[A] -> Link [ISI0] -> GSI 47 (level, low) -> IRQ 122
PCI: Setting latency timer of device 0000:80:05.0 to 64
ata7: SATA max UDMA/133 cmd 0xE480 ctl 0xE402 bmdma 0xDC00 irq 122
ata8: SATA max UDMA/133 cmd 0xE080 ctl 0xE002 bmdma 0xDC08 irq 122
scsi7 : sata_nv
ACPI: PCI Interrupt Link [LMAC] enabled at IRQ 20
ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [LMAC] -> GSI 20 (level, low) -> IRQ 130
PCI: Setting latency timer of device 0000:00:08.0 to 64
forcedeth: using HIGHDMA
ata7: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xE487
scsi8 : sata_nv
eth0: forcedeth.c: subsystem: 01170:0024 bound to 0000:00:08.0
ACPI: PCI Interrupt Link [LMAD] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LMAD] -> GSI 23 (level, low) -> IRQ 98
PCI: Setting latency timer of device 0000:00:09.0 to 64
forcedeth: using HIGHDMA
ata8: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xE087
ACPI: PCI Interrupt Link [ISI1] enabled at IRQ 46
ACPI: PCI Interrupt 0000:80:05.1[B] -> Link [ISI1] -> GSI 46 (level, low) -> IRQ 138
PCI: Setting latency timer of device 0000:80:05.1 to 64
ata9: SATA max UDMA/133 cmd 0xD880 ctl 0xD802 bmdma 0xD080 irq 138
ata10: SATA max UDMA/133 cmd 0xD480 ctl 0xD402 bmdma 0xD088 irq 138
scsi9 : sata_nv
ata9: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xD887
scsi10 : sata_nv
eth1: forcedeth.c: subsystem: 01170:0024 bound to 0000:00:09.0
EDAC MC0: Giving out device to k8_edac Athlon64/Opteron: DEV 0000:00:18.2
ACPI: PCI Interrupt Link [LUB0] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [LUB0] -> GSI 22 (level, low) -> IRQ 106
PCI: Setting latency timer of device 0000:00:02.0 to 64
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 106, io mem 0xdeffb000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 10 ports detected
ACPI: PCI Interrupt Link [LUB2] enabled at IRQ 21
ACPI: PCI Interrupt 0000:00:02.1[B] -> Link [LUB2] -> GSI 21 (level, low) -> IRQ 114
PCI: Setting latency timer of device 0000:00:02.1 to 64
ehci_hcd 0000:00:02.1: EHCI Host Controller
ehci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:02.1: debug port 1
PCI: cache line size of 64 is not supported by device 0000:00:02.1
ehci_hcd 0000:00:02.1: irq 114, io mem 0xdeffac00
ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 10 ports detected
Floppy drive(s): fd0 is 1.44M
ata10: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xD487
ACPI: PCI Interrupt Link [ISI2] enabled at IRQ 45
ACPI: PCI Interrupt 0000:80:05.2[C] -> Link [ISI2] -> GSI 45 (level, low) -> IRQ 146
PCI: Setting latency timer of device 0000:80:05.2 to 64
ata11: SATA max UDMA/133 cmd 0xD000 ctl 0xCC02 bmdma 0xC480 irq 146
ata12: SATA max UDMA/133 cmd 0xC880 ctl 0xC802 bmdma 0xC488 irq 146
scsi11 : sata_nv
ohci_hcd 0000:00:02.0: wakeup
ata11: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xD007
scsi12 : sata_nv
usb 1-7: new full speed USB device using ohci_hcd and address 2
ata12: SATA link down (SStatus 0 SControl 300)
ATA: abnormal status 0x7F on port 0xC887
ACPI: PCI Interrupt Link [IIM0] enabled at IRQ 44
ACPI: PCI Interrupt 0000:80:08.0[A] -> Link [IIM0] -> GSI 44 (level, low) -> IRQ 154
PCI: Setting latency timer of device 0000:80:08.0 to 64
forcedeth: using HIGHDMA
usb 1-7: configuration #1 chosen from 1 choice
input: ServerEngines SE USB Device as /class/input/input1
input: USB HID v1.11 Keyboard [ServerEngines SE USB Device] on usb-0000:00:02.0-7
input: ServerEngines SE USB Device as /class/input/input2
input: USB HID v1.11 Mouse [ServerEngines SE USB Device] on usb-0000:00:02.0-7
eth2: forcedeth.c: subsystem: 01170:0024 bound to 0000:80:08.0
ACPI: PCI Interrupt Link [IIM1] enabled at IRQ 47
ACPI: PCI Interrupt 0000:80:09.0[A] -> Link [IIM1] -> GSI 47 (level, low) -> IRQ 122
PCI: Setting latency timer of device 0000:80:09.0 to 64
forcedeth: using HIGHDMA
eth3: forcedeth.c: subsystem: 01170:0024 bound to 0000:80:09.0
floppy0: no floppy controllers found
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found
lp: driver loaded but no devices found
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised: dm-devel@redhat.com
SELinux: initialized (dev sda1, type ext2), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev sda8, type ext2), uses xattr
SELinux: initialized (dev sda6, type ext2), uses xattr
SELinux: initialized (dev sdb1, type ext2), uses xattr
SELinux: initialized (dev sda2, type ext2), uses xattr
SELinux: initialized (dev sda5, type ext2), uses xattr
SELinux: initialized (dev sdc1, type ext2), uses xattr
SELinux: initialized (dev sdd1, type ext2), uses xattr
Adding 2104472k swap on /dev/sda7.  Priority:-1 extents:1 across:2104472k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip_tables: (C) 2000-2006 Netfilter Core Team
Time: acpi_pm clocksource has been installed.
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8192 buckets, 65536 max) - 228 bytes per conntrack
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present
eth1: no IPv6 routers present
loop: loaded (max 8 devices)
3w-9xxx: scsi0: AEN: INFO (0x04:0x0055): Battery charging started:.
3w-9xxx: scsi0: AEN: INFO (0x04:0x0056): Battery charging completed:.
idr_remove called for id=1 which is not allocated.
 [<c0403f10>] dump_trace+0x69/0x1af
 [<c040406e>] show_trace_log_lvl+0x18/0x2c
 [<c04045e9>] show_trace+0xf/0x11
 [<c0404673>] dump_stack+0x15/0x17
 [<c04d3fcb>] idr_remove+0xe2/0x143
 [<c051ee50>] release_dev+0x63b/0x652
 [<c051ee6e>] tty_release+0x7/0xa
 [<c0461b2e>] __fput+0xba/0x178
 [<c045f466>] filp_close+0x52/0x59
 [<c041d3b4>] put_files_struct+0x64/0xa6
 [<c041e3fe>] do_exit+0x248/0x747
 [<c041e973>] sys_exit_group+0x0/0xd
 [<f5d480e4>] 0xf5d480e4
DWARF2 unwinder stuck at 0xf5d480e4
Leftover inexact backtrace:
 [<c0426b76>] get_signal_to_deliver+0x38a/0x3b2
 [<c040243a>] do_notify_resume+0x75/0x62f
 [<c044bfc0>] __pagevec_lru_add_active+0x95/0xa0
 [<c042c814>] autoremove_wake_function+0x0/0x35
 [<c05fc113>] _spin_unlock_irq+0x5/0x7
 [<c05fa9cf>] schedule+0x529/0x585
 [<c0402e2a>] work_notifysig+0x13/0x19
 =======================
eth1: link down.
eth1: link up.
Comment 2 Need Real Name 2006-10-19 03:28:47 EDT
Normally the cat /proc/cpuinfo shows different frequency.
When the problem occures it did show twice higher (see proc/cpuinfo above).
I do use non-smp kernel.


 
cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 65
model name      : Dual-Core AMD Opteron(tm) Processor 2212 HE
stepping        : 2
cpu MHz         : 1000.000
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext 3dnow
pni cx16 lahf_lm cmp_legacy svm cr8legacy ts fid vid ttp tm stc
bogomips        : 2011.98
Comment 3 Need Real Name 2006-10-19 04:10:45 EDT
/var/log/messages (booted at Tue Oct 17 07:17)

Oct 17 18:23:35 css kernel: idr_remove called for id=1 which is not allocated.
Oct 17 18:23:35 css kernel:  [<c0403f10>] dump_trace+0x69/0x1af
Oct 17 18:23:35 css kernel:  [<c040406e>] show_trace_log_lvl+0x18/0x2c
Oct 17 18:23:35 css kernel:  [<c04045e9>] show_trace+0xf/0x11
Oct 17 18:23:35 css kernel:  [<c0404673>] dump_stack+0x15/0x17
Oct 17 18:23:35 css kernel:  [<c04d3fcb>] idr_remove+0xe2/0x143
Oct 17 18:23:35 css kernel:  [<c051ee50>] release_dev+0x63b/0x652
Oct 17 18:23:35 css kernel:  [<c051ee6e>] tty_release+0x7/0xa
Oct 17 18:23:35 css kernel:  [<c0461b2e>] __fput+0xba/0x178
Oct 17 18:23:35 css kernel:  [<c045f466>] filp_close+0x52/0x59
Oct 17 18:23:35 css kernel:  [<c041d3b4>] put_files_struct+0x64/0xa6
Oct 17 18:23:35 css kernel:  [<c041e3fe>] do_exit+0x248/0x747
Oct 17 18:23:35 css kernel:  [<c041e973>] sys_exit_group+0x0/0xd
Oct 17 18:23:35 css kernel:  [<f5d480e4>] 0xf5d480e4
Oct 17 18:23:35 css kernel: DWARF2 unwinder stuck at 0xf5d480e4
Oct 17 18:23:35 css kernel: Leftover inexact backtrace:
Oct 17 18:23:35 css kernel:  [<c0426b76>] get_signal_to_deliver+0x38a/0x3b2
Oct 17 18:23:35 css kernel:  [<c040243a>] do_notify_resume+0x75/0x62f
Oct 17 18:23:35 css kernel:  [<c044bfc0>] __pagevec_lru_add_active+0x95/0xa0
Oct 17 18:23:35 css kernel:  [<c042c814>] autoremove_wake_function+0x0/0x35
Oct 17 18:23:35 css kernel:  [<c05fc113>] _spin_unlock_irq+0x5/0x7
Oct 17 18:23:35 css kernel:  [<c05fa9cf>] schedule+0x529/0x585
Oct 17 18:23:35 css kernel:  [<c0402e2a>] work_notifysig+0x13
Comment 4 Dave Jones 2006-11-12 01:45:31 EST
Prarit/Alan, more tty locking bugs ?
Comment 5 Need Real Name 2006-11-12 03:43:50 EST
As I later figured out - it was not during dmesg ,
but the message was just appended to dmesg
from the  /var/mog/messages: 

Oct 17 18:23:35 css kernel: idr_remove called for id=1 which is not
 allocated.
Oct 17 18:23:35 css kernel:  [<c0403f10>] dump_trace+0x69/0x1af
Oct 17 18:23:35 css kernel:  [<c040406e>] show_trace_log_lvl+0x18/0
x2c
Oct 17 18:23:35 css kernel:  [<c04045e9>] show_trace+0xf/0x11
Oct 17 18:23:35 css kernel:  [<c0404673>] dump_stack+0x15/0x17
Oct 17 18:23:35 css kernel:  [<c04d3fcb>] idr_remove+0xe2/0x143
Oct 17 18:23:35 css kernel:  [<c051ee50>] release_dev+0x63b/0x652
Oct 17 18:23:35 css kernel:  [<c051ee6e>] tty_release+0x7/0xa
Oct 17 18:23:35 css kernel:  [<c0461b2e>] __fput+0xba/0x178
Oct 17 18:23:35 css kernel:  [<c045f466>] filp_close+0x52/0x59
Oct 17 18:23:35 css kernel:  [<c041d3b4>] put_files_struct+0x64/0xa
6
Oct 17 18:23:35 css kernel:  [<c041e3fe>] do_exit+0x248/0x747
Oct 17 18:23:35 css kernel:  [<c041e973>] sys_exit_group+0x0/0xd
Oct 17 18:23:35 css kernel:  [<f5d480e4>] 0xf5d480e4
Oct 17 18:23:35 css kernel: DWARF2 unwinder stuck at 0xf5d480e4
Oct 17 18:23:35 css kernel: Leftover inexact backtrace:
Oct 17 18:23:35 css kernel:  [<c0426b76>] get_signal_to_deliver+0x3
8a/0x3b2
Oct 17 18:23:35 css kernel:  [<c040243a>] do_notify_resume+0x75/0x6
2f
Oct 17 18:23:35 css kernel:  [<c044bfc0>] __pagevec_lru_add_active+
0x95/0xa0
Oct 17 18:23:35 css kernel:  [<c042c814>] autoremove_wake_function+
0x0/0x35
Oct 17 18:23:35 css kernel:  [<c05fc113>] _spin_unlock_irq+0x5/0x7
Oct 17 18:23:35 css kernel:  [<c05fa9cf>] schedule+0x529/0x585
Oct 17 18:23:35 css kernel:  [<c0402e2a>] work_notifysig+0x13/0x19
Oct 17 18:23:35 css kernel:  =======================
Comment 6 Prarit Bhargava 2006-11-13 09:02:46 EST
This was FC5 ... could you try a newer kernel from rawhide/devel?

Thanks,

P.
Comment 7 Need Real Name 2006-11-13 15:42:50 EST
I upgraded to kernel-2.6.18-1.2239.fc5 , but this bug is hard to reproduce. 
The computer had few weeks uptime before I got this error trace.

I am not sure - may be this is somehow related that I run non-smp kernel 
on smp machine?
see my comment 2006-10-19 03:28 EST above about /proc/cpuinfo
The bogomips double after this bug occured.
Comment 8 Dave Jones 2006-11-24 16:35:48 EST
This could have been related to the tty locking fixes that I merged recently.
Can you try the kernel at http://people.redhat.com/davej/kernels/Fedora/ for a
while, and see if you can reproduce it with that ?
Comment 9 Alan Cox 2006-11-24 18:26:49 EST
Not see this one before, but we have a few reports of the reverse (the "sshd
stops responding" bug) so if there is a race in the map handling for the ptys
then this would fit the same pattern
Comment 10 Need Real Name 2006-11-25 11:34:51 EST
It is hard to reproduce reliably.
I am currently running 
rpm -q kernel
kernel-2.6.18-1.2239.fc5
Uptime 10 days - no problem.
Previously I run the kernel for a while (1 month) to get this error.
Comment 11 Need Real Name 2006-11-30 13:13:00 EST
Kernel kernel-2.6.18-1.2239.fc5, uptime 15 days. Still no problem.
Comment 12 Joe Orton 2006-12-04 13:40:09 EST
Just saw this with 

Linux monolith.manyfish.co.uk 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST
2006 i686 athlon i386 GNU/Linux

(single CPU so I'm not sure where that SMP comes from)

I had open many terminal sessions to the sshd on this box, multiplexed via two
SSH sessions using ControlMaster (one for root user, one for user "joe"), and
they were all closed at exactly the same time these log messages appeared.
Comment 13 Joe Orton 2006-12-04 13:40:59 EST
Created attachment 142763 [details]
extract from /var/log/messages
Comment 14 Prarit Bhargava 2006-12-04 14:16:18 EST
Hmm .... looks like pzilstra's changes are in 2.6.18-1.2849.

Given the description that jorton gives for his testcase it definately looks
like the locking hasn't shored up yet.  But, IIRC, we did say that it wasn't
100% yet ....

P.
Comment 15 Michal Babej 2007-01-04 10:23:03 EST
Hello,

i have experienced something similar today i believe. from /var/log/messages:

Jan  4 14:19:29 franz kernel: tg3: eth0: Link is up at 1000 Mbps, full duplex.
Jan  4 14:19:29 franz NetworkManager: <information>     Activation (eth0) Stage
3 of 5 (IP Configure Start) started... 
Jan  4 14:19:29 franz kernel: tg3: eth0: Flow control is on for TX and on for RX.
Jan  4 14:19:29 franz kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Jan  4 14:19:29 franz kernel: audit(1167916759.814:4): audit_pid=2262 old=0 by
auid=4294967295 subj=system_u:system_r:auditd_t:s0
Jan  4 14:19:29 franz kernel: idr_remove called for id=0 which is not allocated.
Jan  4 14:19:29 franz kernel: 
Jan  4 14:19:29 franz kernel: Call Trace:
Jan  4 14:19:29 franz kernel:  [<ffffffff800696f3>] show_trace+0x34/0x47
Jan  4 14:19:29 franz kernel:  [<ffffffff80069718>] dump_stack+0x12/0x17
Jan  4 14:19:29 franz kernel:  [<ffffffff8013cf3f>] idr_remove+0xe0/0x14d
Jan  4 14:19:29 franz kernel:  [<ffffffff8018801e>] release_dev+0x65d/0x67b
Jan  4 14:19:29 franz kernel:  [<ffffffff800515f4>] tty_release+0x11/0x1a
Jan  4 14:19:29 franz kernel:  [<ffffffff80012283>] __fput+0xae/0x198
Jan  4 14:19:29 franz kernel:  [<ffffffff800237ac>] filp_close+0x5c/0x64
Jan  4 14:19:29 franz kernel:  [<ffffffff8001d5da>] sys_close+0x88/0xa2
Jan  4 14:19:29 franz kernel:  [<ffffffff8002c153>] flush_old_exec+0xa25/0xad2
Jan  4 14:19:29 franz kernel:  [<ffffffff80017cae>] load_elf_binary+0x45d/0x182b
Jan  4 14:19:29 franz kernel:  [<ffffffff8003efcf>] search_binary_handler+0xbb/0x26d
Jan  4 14:19:29 franz kernel:  [<ffffffff8004c624>] load_script+0x1c6/0x1d9
Jan  4 14:19:29 franz kernel:  [<ffffffff8003efcf>] search_binary_handler+0xbb/0x26d
Jan  4 14:19:29 franz kernel:  [<ffffffff8003e53a>] do_execve+0x18c/0x243
Jan  4 14:19:29 franz kernel:  [<ffffffff80052d25>] sys_execve+0x36/0x4c
Jan  4 14:19:29 franz kernel:  [<ffffffff8005b847>] stub_execve+0x67/0xb0
Jan  4 14:19:29 franz kernel: DWARF2 unwinder stuck at stub_execve+0x67/0xb0
Jan  4 14:19:29 franz kernel: Leftover inexact backtrace:
Jan  4 14:19:29 franz kernel: 
Jan  4 14:19:30 franz NetworkManager: <information>     Activation (eth0)
Beginning DHCP transaction. 
Jan  4 14:19:30 franz NetworkManager: <information>     Activation (eth0) Stage
3 of 5 (IP Configure Start

i'm running RHEL5 nightly build RHEL5-Client-20070103.nightly
uname -a : Linux franz 2.6.18-1.2943.el5 #1 SMP Fri Dec 22 23:45:10 EST 2006
x86_64 x86_64 x86_64 GNU/Linux
Comment 16 Prarit Bhargava 2007-01-04 10:33:54 EST
Michal, I'm digging a bit more into this today.  What were you doing before you
hit the warning message?  Are you loading the ethernet driver (it seems like it
from the log you posted)?

P.
Comment 17 Michal Babej 2007-01-05 10:02:06 EST
It happened during normal boot-up process. I'm attaching the full log so you can
take a look.I noticed it only after i switched from X to VT 1.
Comment 18 Michal Babej 2007-01-05 10:03:48 EST
Created attachment 144906 [details]
/var/log/messages
Comment 19 Penelope Fudd 2007-01-07 19:44:36 EST
I also got this (during FC6 boot):
Linux version 2.6.18-1.2868.fc6 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Fri Dec 15 17:32:54 EST 2006

Jan  7 16:38:43 kirk smartd[3207]: Monitoring 3 ATA and 0 SCSI devices
Jan  7 16:38:44 kirk smartd[3209]: smartd has fork()ed into background mode. New
PID=3209.
Jan  7 16:38:44 kirk kernel: idr_remove called for id=0 which is not allocated.
Jan  7 16:38:44 kirk kernel:  [<c04051db>] dump_trace+0x69/0x1af
Jan  7 16:38:44 kirk kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Jan  7 16:38:44 kirk kernel:  [<c04058ed>] show_trace+0xf/0x11
Jan  7 16:38:44 kirk kernel:  [<c04059ea>] dump_stack+0x15/0x17
Jan  7 16:38:44 kirk kernel:  [<c04e4bed>] idr_remove+0xe0/0x141
Jan  7 16:38:44 kirk kernel:  [<c0530ec2>] release_dev+0x5cf/0x5e7
Jan  7 16:38:44 kirk kernel:  [<c0532ced>] tty_open+0x301/0x369
Jan  7 16:38:44 kirk kernel:  [<c0476eaa>] chrdev_open+0xfb/0x12f
Jan  7 16:38:44 kirk kernel:  [<c046de12>] __dentry_open+0xc7/0x1ab
Jan  7 16:38:44 kirk kernel:  [<c046df70>] nameidata_to_filp+0x24/0x33
Jan  7 16:38:44 kirk kernel:  [<c046dfb1>] do_filp_open+0x32/0x39
Jan  7 16:38:44 kirk kernel:  [<c046dffa>] do_sys_open+0x42/0xbe
Jan  7 16:38:44 kirk kernel:  [<c046e0af>] sys_open+0x1c/0x1e
Jan  7 16:38:44 kirk kernel:  [<c0404013>] syscall_call+0x7/0xb
Jan  7 16:38:44 kirk kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Jan  7 16:38:44 kirk kernel: Leftover inexact backtrace:
Jan  7 16:38:44 kirk kernel:  =======================
Jan  7 16:38:44 kirk init: open(/dev/pts/0): No such file or directory
Jan  7 16:38:45 kirk last message repeated 6 times
Jan  7 16:38:50 kirk pcscd: winscard.c:219:SCardConnect() Reader E-Gate 0 0 Not
Found
Jan  7 16:38:50 kirk last message repeated 3 times
Comment 20 Michal Babej 2007-01-09 07:19:35 EST
I believe that comment #19 is related to bug 218149 & some other pcscd/devpts bugs.
Comment 21 Aristeu Rozanski 2007-03-09 15:33:57 EST
Can you try the kernel on http://people.redhat.com/arozansk/ptytest/fc5/ and
tell me if you can reproduce the problem?
Thanks,
Comment 22 Aristeu Rozanski 2007-05-10 13:38:11 EDT
The issue behind those messages was fixed on 2.6.20 and the latest FC-5 kernel
include it. I'll close this bug for now, but fell free to reopen it if the
message appear again with the latest kernel.

Note You need to log in before you can comment on or make changes to this bug.